Get reverse check-in code details by id
curl --request GET \
--url https://{host}/payment/v1/checkin/code/{checkInCodeId} \
--header 'Authorization: <api-key>'import requests
url = "https://{host}/payment/v1/checkin/code/{checkInCodeId}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://{host}/payment/v1/checkin/code/{checkInCodeId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"checkInCodeId": "<string>",
"memberId": "<string>",
"userId": "<string>",
"code": "<string>",
"type": "QrCode",
"paymentLocationId": "<string>",
"isUsed": true,
"usedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z"
}{
"name": "<string>",
"message": "<string>",
"details": null
}Get reverse check-in code details by id
Get a check-in code by id
GET
/
v1
/
checkin
/
code
/
{checkInCodeId}
Get reverse check-in code details by id
Authorizations
JWT Authorization header using the Bearer scheme. Example: "Authorization: Bearer {token}"
Path Parameters
The check-in code identifier
Response
OK
The check in code identifier
The member identifier
The user identifier
The generated code to be displayed on the mobile application
Available options:
QrCode, BarCode The payment location identifier
Indicates whether the generated code has been used already for POS registration
Indicates when the generated code has been used
Indicates when the generated code has been created
Last modified on August 10, 2026